#ifndef _SYSLIB_H_
#define _SYSLIB_H_

#include "common.h"

//---------------------------------------------------------------------------
int ErrorQueue_Get(unsigned int* buf, int max);
void ErrorQueue_Remove(int count);
//---------------------------------------------------------------------------
TErrorCode ErrorUnit_Put(unsigned short troubleBoard, unsigned short type, unsigned int code, 
	unsigned int value1, unsigned int value2, unsigned int value3);

#endif
